Remove the service rights access for an username

- « win32_read_right_access_service

- win32_remove_service_env_var »

- PHP Manual
- win32service Functions
- Remove the service rights access for an username

# win32_remove_right_access_service

(PECL win32service >=1.1.0)

win32_remove_right_access_service — Remove the service rights access for an username

### Description

win32_remove_right_access_service(string `$servicename`, string `$username`, string `$machine` = `null`): void

Remove the rights access for `username` on `servicename` service. Administrative privileges are required for this to succeed.

### Parameters

`servicename`

  The service name to remove rights access.

`username`

  Read the rights access for `username`.

`machine`

  The optional machine name on which you want to create a service. If omitted, it will use the local machine.

### Return Values

No value is returned.

### Errors/Exceptions

A ValueError is thrown if the value of `service` parameter is empty.

A ValueError is thrown if the value of `username` parameter is empty.

A Win32ServiceException is thrown on error.

### See Also

- win32_read_all_rights_access_service() - Read all service rights access
- win32_read_rights_access_service()
- win32_add_right_access_service() - Add rights access for an username to the service